Bug 175203 - yaboot fails to load zImage
yaboot fails to load zImage
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
James Laska
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-07 13:50 EST by Bill Peck
Modified: 2013-09-02 02:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:18:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2005-12-07 13:50:55 EST
Description of problem:
Yaboot fails to load zed image

FILE: /distros/rel-eng/RHEL3-U7-re1103.0/ppc/ppc-AS/images/netboot.img
FINAL Packet Count = 10874
FINAL File Size = 5567025 bytes.
load-base=0x4000
real-base=0xc00000
   Elf32 kernel loaded...
DEFAULT CATCH!, exception-handler=fff00300
at   %SRR0: 0000000000c3bbb4   %SRR1: 800000000000b002
Data stack pointer = c10ff8

000000c10ff0: 00 00 00 00 00 c1 0f f0 00 00 00 00 00 00 00
10 :................:000000c11000: 00 00 00 00 de ad be ef 00 00 00 00
00 00 00 00 :................:000000c11010: 00 00 00 00 00 00 00 00 00
00 00 00 00 00 00 00 :................:000000c11020: 00 00 00 00 00 00
00 00 00 00 00 00 00 00 00 00 :................:Call History
------------
c@  - c3bb48
close-package  - c57528
(poplocals)  - c3a3e8
close  - d6b8c0
catch  - c390e0
$call-method  - c467a8
(poplocals)  - c3a3e8
catch  - c390e0
close-package  - c574e8
(poplocals)  - c3a3e8
close-dev  - c57670
(poplocals)  - c3a3e8
catch  - c390e0
~close  - c81764
catch  - c390e0
cicall  - c80a60

My Fix Pt Regs:
 00 0000000000c3bb48 0000000067cd115c 00000000deadbeef fffffffffffffffc
 04 0000000000000001 0000000067cd115c 0000000000cb6a00 000000000000003c
 08 0000000000000000 0000010080000000 000000000004ba20 0000000000000000
 0c 800000000000b002 0000000000000000 0000000000000000 0000000000000000
 10 0000000000e099d8 0000000000e099d8 0000000000c57518 0000000000c57528
 14 0000000000000001 0000000067000000 0000000000000000 0000000000000000
 18 0000000000c13000 0000000000c38000 0000000000c14f00 0000000000c16ec0
 1c 0000000000c20000 0000000000c3fd20 0000000000c11f78 0000000000c10ff8
Special Regs:
    %IV: 00000300     %CR: 88000083    %XER: 20000000  %DSISR: 08000000
  %SRR0: 0000000000c3bbb4   %SRR1: 800000000000b002
    %LR: 0000000000c3bb48    %CTR: 0000000000000000
   %DAR: 0000000067cd115c
Virtual PID = 0
 ok
Comment 1 Peter Jones 2006-01-13 13:25:04 EST
What hardware is this on?
Comment 2 Bill Peck 2006-01-13 13:32:51 EST
Either pblade2.lab.boston.redhat.com or pblade4.lab.boston.redhat.com

Let me know when you want to work on this and I can make the systems available
to you.  I'd be glad to help as much as possible as well, showing exactly what
happens so far for example..
Comment 3 Paul Nasrat 2006-01-15 13:03:59 EST
Upstream yaboot needs some improvements on this front.
Comment 4 Paul Nasrat 2006-08-08 17:55:19 EDT
Moving bug to Fedora as work needs to be done upstream and is too intrusive (new
yaboot malloc implementation, zlib code) for an update release.
Comment 5 Red Hat Bugzilla 2007-08-21 01:21:33 EDT
User pnasrat@redhat.com's account has been closed
Comment 6 Bug Zapper 2008-04-03 12:40:36 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 7 Bug Zapper 2008-05-06 20:18:42 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.